MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031354Open CASCADE[OCCT] OCCT:Visualizationpublic2020-02-06 16:412020-07-06 19:54
Reportersshutina 
Assigned Tonds 
PrioritynormalSeverityfeature 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
DescriptionContinue implementing DumpJson methods introduced in 0031313.
TagsNo tags attached.
Test case number
Attached Filespng file icon inspector_V3d_Viewer.png (55,492 bytes) 2020-06-26 07:29

- Relationships
child of 0031313verifiedbugmaster Foundation Classes - Dump improvement for classes 

-  Notes
(0090368)
git (administrator)
2020-02-06 18:18

Branch CR31354 has been created by sshutina.

SHA-1: c989478a65d1a40e99a8107bb0927ddf5cb2ec07


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
(0090437)
git (administrator)
2020-02-10 09:39

Branch CR31354_1 has been created by nds.

SHA-1: 03f3900b2d8ed181fda0a56acde81da29fad31b4


No new revisions were added by this update.
(0090438)
git (administrator)
2020-02-10 09:43

Branch CR31354_1 has been updated by nds.

SHA-1: 88c7168401ee15e2efefd4d70c83721cf63f2478


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    (cherry picked from commit c989478a65d1a40e99a8107bb0927ddf5cb2ec07)

(0090447)
git (administrator)
2020-02-10 11:05

Branch CR31354_1 has been updated by nds.

SHA-1: b897f4e766392e2fc684289086e1c151eea046c4


Detailed log of new commits:

Author: nds
Date: Mon Feb 10 11:05:24 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    Implements connection of VInspector to DumpJson of V3d_Viewer. It's placed in AIS_InteractiveContext->Properties->V3d_Viewer

(0090493)
git (administrator)
2020-02-12 14:11

Branch CR31354_1 has been updated by sshutina.

SHA-1: dbb6e09224a4eb3c772fc56731cbe3dde6561611


Detailed log of new commits:

Author: sshutina
Date: Wed Feb 12 14:10:38 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    #DumpJson for V3d_Viewer

(0090497)
git (administrator)
2020-02-12 23:23

Branch CR31354_2 has been created by nds.

SHA-1: 4bda72dc94318deffa8517a31a9b81f4b1cb2e38


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
(0090507)
git (administrator)
2020-02-13 07:31

Branch CR31354_2 has been updated by nds.

SHA-1: 1cf2847de7a03aee6b169be1c7b9b37c0979e2a8


Detailed log of new commits:

Author: nds
Date: Thu Feb 13 07:31:44 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    # warnings, virtual corrections

(0090997)
git (administrator)
2020-03-18 08:56

Branch CR31354_3 has been created by nds.

SHA-1: 063faf8e205506f68e73bb6f160e615754c22c5a


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
(0091006)
git (administrator)
2020-03-18 10:15

Branch CR31354_4 has been created by nds.

SHA-1: 40c432e0f0345680399f21e960414fd129c8ad70


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
(0091508)
git (administrator)
2020-04-11 10:22

Branch CR31354_5 has been created by nds.

SHA-1: d0a7d67a8bf9ca7dcaff108953c350915f9219bd


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
(0092707)
git (administrator)
2020-06-25 04:43

Branch CR31354_6 has been created by nds.

SHA-1: 316bd8956ed59ef9deccd7409b8fbdf47e2fbdb6


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    (cherry picked from commit 0a9f129d67748f59a40e7758d271e87ae4d535de)
    
    # Conflicts:
    # src/Graphic3d/Graphic3d_CView.cxx
    # src/Graphic3d/Graphic3d_WorldViewProjState.hxx
    # src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx
    # src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx
    (cherry picked from commit 9358c97d654681b925987940e49bbec3568d177a)
    (cherry picked from commit 9d66bfcb6c7f89e292085f8d3b0b80b17dc4ec65)
(0092719)
git (administrator)
2020-06-25 17:53

Branch CR31354_6 has been updated by nds.

SHA-1: 309ebacb0e20ff0df67fe18ae613818850921f0a


Detailed log of new commits:

Author: nds
Date: Thu Jun 25 17:54:39 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    correct warning on Debian. Removing not-used field.

(0092720)
git (administrator)
2020-06-25 18:02

Branch CR31354_7 has been created by nds.

SHA-1: 7bd51c3986233c6e04c5fa752f25bb023062aa44


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    remove not-used myCamStartOpBnd in V3d_View.
(0092721)
git (administrator)
2020-06-25 18:07

Branch CR31354_7 has been deleted by nds.

SHA-1: 7bd51c3986233c6e04c5fa752f25bb023062aa44
(0092722)
git (administrator)
2020-06-25 18:16

Branch CR31354_6 has been updated by nds.

SHA-1: d190553384097310e2d64f2e4d295d55f8f49bc6


Detailed log of new commits:

Author: nds
Date: Thu Jun 25 18:18:24 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    out of commit modification

(0092723)
git (administrator)
2020-06-25 18:19

Branch CR31354_7 has been created by nds.

SHA-1: 7f91abd8b9b530209810d81d1d48da5cccb44a37


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    remove not used myCamStartOpBnd field of V3d_View.
(0092724)
nds (developer)
2020-06-25 18:21

Dear Kirill,
could you please review the proposed patch.

OCCT branch: CR31354_7,
Products branch: master.
Jenkins job: http://jenkins-test-12.nnov.opencascade.com/view/CR31354-master-NDS/ [^]

Thank you in advance, Natalia
(0092729)
kgv (developer)
2020-06-25 19:22

--- a/src/Aspect/Aspect_Background.hxx
+++ b/src/Aspect/Aspect_Background.hxx
+  //! Dumps the content of me into the stream
+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth 
= -1) const;
...
--- a/src/Aspect/Aspect_GradientBackground.hxx
+++ b/src/Aspect/Aspect_GradientBackground.hxx
+  //! Dumps the content of me into the stream
+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth 
= -1) const Standard_OVERRIDE;

Unexpected virtual in non-virtual classes.

--- a/src/Aspect/Aspect_Window.hxx
+++ b/src/Aspect/Aspect_Window.hxx
+  //! Dumps the content of me into the stream
+  Standard_EXPORT void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth = -1) const;


As it is virtual class, it sounds reasonable declaring this method also virtual.

--- a/src/Graphic3d/Graphic3d_Aspects.hxx
+++ b/src/Graphic3d/Graphic3d_Aspects.hxx
-  Standard_EXPORT void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth = -1) const;

+  Standard_EXPORT virtual void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth 
= -1) const;

Graphic3d_Aspects is not a real classes hierarchy - it has no virtual methods (save destructor nested from Standard_Transient)
and has only "dummy" sub-classes (basically for preserving an old API).
It doesn't look reasonable declaring DumpJson virtual here.

+void Graphic3d_CLight::DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth) const

...
+  OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &myParams)

In this way Graphic3d_CLight::DumpJson() reflects debugger rather than dumper.
Providing named field like ConstAttenuation()/LinearAttenuation()/Angle()/Concentration() depending on light source type would make more sense.

+  OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, myCamera.get())

myBaseXRCamera/myPosedXRCamera/myUnitFactor are missing.

+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myFOVy)
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myFOVyTan)

myFOVyTan reflects myFOVy (as Tan(DTR_HALF * myFOVy)), doesn't look helpful to be included into dump.

+    //! Dumps the content of me into the stream
+    Standard_EXPORT void DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth = -1) 
const
+    {
+      OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &Orientation)
+      OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &MProjection)
+      OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &LProjection)
+      OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &RProjection)
+  
+      OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myIsOrientationValid)
+      OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myIsProjectionValid)
+    }

Either should be moved to .cxx or Standard_EXPORT removed.
There is no point dumping matrices in case if !myIsOrientationValid and !myIsProjectionValid.

+    Handle(Graphic3d_Layer) aLayer = anIter.Value();

const Handle(Graphic3d_Layer)&

+  for (NCollection_List<Handle(Graphic3d_Layer)>::Iterator anIter (myLayers); anIter.More(); anIter.Next())

+  {
+    Handle(Graphic3d_Layer) aLayer = anIter.Value();
...
+  for (NCollection_DataMap<Graphic3d_ZLayerId, Handle(Graphic3d_Layer)>::Iterator anIter (myLayerIds); 
anIter.More(); anIter.Next())
+  {
+    Handle(Graphic3d_Layer) aLayerId = anIter.Value();

It doesn't make sense dumping both List and DataMap - the list will be enough.

+
+
+#include <Graphic3d_RenderingParams.hxx>

Unexpected duplex of empty lines.

+  for (NCollection_IndexedMap<Graphic3d_Structure*>::Iterator anIter (myAncestors); anIter.More(); 
anIter.Next())
+  {
+    Graphic3d_Structure* anAncestor = anIter.Value();
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, anAncestor)
+  }
+
+  for (NCollection_IndexedMap<Graphic3d_Structure*>::Iterator anIter (myDescendants); anIter.More(); 
anIter.Next())
+  {
+    Graphic3d_Structure* aDescendant = anIter.Value();
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, aDescendant)
+  }

Wouldn't this cause a recursion?

+    Handle(Graphic3d_Structure) aDisplayedStructure = anIter.Value();
...
+    Handle(Graphic3d_Structure) aHighlightedStructure = anIter.Value();
...
+    Handle(Graphic3d_ViewAffinity) aRegisteredObject = anIter.Value();

const Handle()&

+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, myDeviceLostFlag)
+
+}

Unexpected empty line.

 
+  void DumpJson (Standard_OStream& theOStream, Standard_Integer) const
+  {
</pre
Missing description.

--- a/src/NCollection/NCollection_Vec2.hxx
+++ b/src/NCollection/NCollection_Vec2.hxx
+#include <Standard_Dump.hxx>

Please remove now redundant "#include <Standard_Dump.hxx>" from NCollection_Vec3.hxx and NCollection_Vec4.hxx

+template <int N>
+void SelectMgr_Frustum<N>::DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth) 
const
+{
+  OCCT_DUMP_TRANSIENT_CLASS_BEGIN (theOStream)

As SelectMgr_Frustum is template, get_type_name() from OCCT_DUMP_TRANSIENT_CLASS_BEGIN will return "SelectMgr_BaseFrustum" instead of "SelectMgr_Frustum<N>" - is it expected?
Why OCCT_DUMP_BASE_CLASS is not called?

+    gp_Vec anEdgeDir = myEdgeDirs[anIndex];

const gp_Vec&

+void SelectMgr_RectangularFrustum::DumpJson (Standard_OStream& theOStream, Standard_Integer theDepth) 
const
+{
+  OCCT_DUMP_CLASS_BEGIN (theOStream, SelectMgr_RectangularFrustum)
+  OCCT_DUMP_BASE_CLASS (theOStream, theDepth, SelectMgr_Frustum)

SelectMgr_Frustum is not exactly base class of SelectMgr_RectangularFrustum considering SelectMgr_Frustum<4> transient class.

--- a/src/SelectMgr/SelectMgr_TriangularFrustum.cxx
+++ b/src/SelectMgr/SelectMgr_TriangularFrustum.cxx
+}
\ No newline at end of file

Missing empty line at end of file

+    Handle(Prs3d_ShadingAspect) anArrowShadinAspect = myArrowShadingAspects[anIter];
...
+    Handle(Prs3d_LineAspect) anArrowLineAspect = myArrowLineAspects[anIter];
...
+    Handle(Graphic3d_CLight) anActiveLight = anIterator.Value();
...
+    Handle(V3d_View) aDefinedView = anIter.Value();
...
+    Handle(V3d_View) anActiveView = anIter.Value();
...
+    Handle(Graphic3d_CLight) aDefinedLight = anIter.Value();
...
+    Handle(Graphic3d_CLight) anActiveLight = anIter.Value();

const Handle()&

(0092732)
nds (developer)
2020-06-25 19:50

Aspect_Background.hxx, Aspect_GradientBackground.hxx
...
Unexpected virtual in non-virtual classes.

We did DumpJson virtual in Aspect_Background to redefine it in Aspect_GradientBackground.
(0092733)
nds (developer)
2020-06-25 19:54

Ok, virtual will be removed for Aspect_Background/Aspect_GradientBackground.
(0092742)
git (administrator)
2020-06-26 06:35

Branch CR31354_7 has been updated by nds.

SHA-1: 1377a2fddfa5ecc69bb1dc91585cdaefcc03056b


Detailed log of new commits:

Author: nds
Date: Fri Jun 26 06:37:29 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    remarks correction

(0092743)
git (administrator)
2020-06-26 06:57

Branch CR31354_8 has been created by nds.

SHA-1: 9bb53642650c6b1a4f6a7d262657c33f36cb605f


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    remove not used myCamStartOpBnd field of V3d_View.
(0092747)
nds (developer)
2020-06-26 09:05
edited on: 2020-06-26 09:07

+ for (NCollection_IndexedMap<Graphic3d_Structure*>::Iterator anIter (myDescendants); anIter.More();
anIter.Next())
+ {
+ Graphic3d_Structure* aDescendant = anIter.Value();
+ OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, aDescendant)
+ }

Wouldn't this cause a recursion?
>> Agree, it's corrected to dump only pointer now.

SelectMgr_Frustum<N> ...
...is it expected?
>> yes, intentionally and it's enough for now. Either it leads to recursion.

Others are corrected. Please, check once again.

Jenkins job is: http://jenkins-test-12.nnov.opencascade.com/view/CR31354-master-NDS/ [^]

Thank you in advance, Natalia

(0092748)
kgv (developer)
2020-06-26 09:34

+  if (sqrt(myDirection.x() * myDirection.x() + myDirection.y() * myDirection.y() + myDirection.z() * 
myDirection.z()) > gp::Resolution())
+  {
+    gp_Dir aDirection (myDirection.x(), myDirection.y(), myDirection.z());
+    OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &aDirection)
+  }
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Range())
+
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, ConstAttenuation())
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, LinearAttenuation())
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Angle())
+  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Concentration())

Please take a look onto documentation blocks / assertions in Setters code:
if (myType == Graphic3d_TOLS_SPOT || myType == Graphic3d_TOLS_POSITIONAL)
{
  OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &myPosition)
}
if (myType == Graphic3d_TOLS_SPOT || myType == Graphic3d_TOLS_DIRECTIONAL)
{
  const Graphic3d_Vec3 aDir = myDirection.xyz();
  OCCT_DUMP_FIELD_VALUES_DUMPED (theOStream, theDepth, &aDir)
}
if (myType == Graphic3d_TOLS_POSITIONAL || myType == Graphic3d_TOLS_SPOT)
{
  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, ConstAttenuation())
  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, LinearAttenuation())
}
if (myType == Graphic3d_TOLS_SPOT)
{
  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Angle())
  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Concentration())
}
if (myType == Graphic3d_TOLS_POSITIONAL || myType == Graphic3d_TOLS_SPOT)
{
  OCCT_DUMP_FIELD_VALUE_NUMERICAL (theOStream, Range())
}
(0092751)
nds (developer)
2020-06-26 11:37

Ok, I saw the redefined light classes, then it's better to provide DumpJson in children for used fields only. I plan though to remove it in parent for now.

But, don't you think that storing not-used fields in a base class is not a good point? We spent more memory that required for each light instance, do we?

Also, it's not very nice to have a crash by calling Direction() of a light. Why crash, it's just a getter. Method with boolean as a result might be more friendly.

I doubt about if (sqrt(myDirection...) checking. What do you reccomend to use instead of it? I tried to use gce_MakeDir, but it's not correct here, leads to linkage error.

Thank you for help
(0092752)
kgv (developer)
2020-06-26 11:50
edited on: 2020-06-26 11:51

> Ok, I saw the redefined light classes, then it's better to provide DumpJson in children for used fields only.
V3d_*Light classes exist for preserving compatibility with old API.
Although they can be useful for reducing visibility of light properties, there is no much use handling DumpJson() specifically for each sub-class, like in case of Graphic3d_Aspects.

> But, don't you think that storing not-used fields in a base class is not a good point?
> We spent more memory that required for each light instance, do we?
Light source properties are tightly packed - for efficient transferring onto GLSL level. This actually caused confusion in the first version of the patch. There is no much memory can be spared by splitting properties per light source type.

> I doubt about if (sqrt(myDirection...) checking.
As has been quoted previous in post - I propose checking for a type, for which direction is always defined `(myType == Graphic3d_TOLS_SPOT || myType == Graphic3d_TOLS_DIRECTIONAL)`.

(0092753)
nds (developer)
2020-06-26 11:54

get it, thanks
(0092761)
nds (developer)
2020-06-26 14:12

May we have gp_Dir instead of Graphic3d_Vec3 in your proposal?

In Inspector, we'll create a default direction presentation based on parsing gp_Dir instance(0031326) and will have a preview in inspector view(short line now).
As the parameter is a direction of light, it sounds correct, isn't it?

Graphic3d_Vec3 might be not direction, so it isn't planned to be converted in some preview presentation. So, may we not use it here, and use gp_Dir?
(0092762)
kgv (developer)
2020-06-26 14:18

> May we have gp_Dir instead of Graphic3d_Vec3 in your proposal?
I have no objection - use Direction() method in this case construction gp_Dir.
(0092764)
git (administrator)
2020-06-26 14:53

Branch CR31354_8 has been deleted by nds.

SHA-1: 9bb53642650c6b1a4f6a7d262657c33f36cb605f
(0092765)
git (administrator)
2020-06-26 14:55

Branch CR31354_8 has been created by nds.

SHA-1: 0dd95596bd157f79de8e0eea3fb48f5ee9e05e78


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    - dump for classes in visu packages
    - remove not used myCamStartOpBnd field of V3d_View.
    - extend Inspector with item for V3d_Viewer and SelectMgr_ViewerSelector3d
(0092766)
nds (developer)
2020-06-26 14:56

Please, review
(0092767)
git (administrator)
2020-06-26 15:12

Branch CR31354_8 has been deleted by nds.

SHA-1: 0dd95596bd157f79de8e0eea3fb48f5ee9e05e78
(0092768)
git (administrator)
2020-06-26 15:14

Branch CR31354_8 has been created by nds.

SHA-1: d338d8774936ebf68b0ded2f33f98c571b96cb1e


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    - dump for classes in visu packages
    - remove not used myCamStartOpBnd field of V3d_View.
    - extend Inspector with item for V3d_Viewer and SelectMgr_ViewerSelector3d
(0092769)
kgv (developer)
2020-06-26 15:19

Please raise the patch in OCCT branch CR31354_8.
(0092783)
bugmaster (administrator)
2020-06-27 13:56

Problem of compilation on CentOS64-64

http://jenkins-test-11.nnov.opencascade.com:8080/view/WEEK-26_WEEK-26/view/OCCT%20compile/job/WEEK-26_WEEK-26-OCCT-CentOS64-64-opt-compile/1/parsed_console/ [^]
(0093026)
git (administrator)
2020-07-06 19:28

Branch CR31354_8 has been updated by nds.

SHA-1: b1e0732f6ac9e8a00e02c0c834e73bfd932fb9b1


Detailed log of new commits:

Author: nds
Date: Sun Jul 5 12:03:33 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    - do not dump light in view as it's dumped in the viewer

(0093027)
git (administrator)
2020-07-06 19:54

Branch CR31354_9 has been created by nds.

SHA-1: 72ca83bf46e0362bff98b8a03ead247ce578885b


Detailed log of new commits:

Author: sshutina
Date: Thu Feb 6 18:17:35 2020 +0300

    0031354: Visualization - Dump improvement for V3d, Graphic3d, Aspect
    
    - do not dump light in view as it's dumped in the viewer

- Issue History
Date Modified Username Field Change
2020-02-06 16:41 sshutina New Issue
2020-02-06 16:41 sshutina Assigned To => sshutina
2020-02-06 16:42 sshutina Relationship added child of 0031313
2020-02-06 18:18 git Note Added: 0090368
2020-02-10 09:39 git Note Added: 0090437
2020-02-10 09:43 git Note Added: 0090438
2020-02-10 11:05 git Note Added: 0090447
2020-02-12 14:11 git Note Added: 0090493
2020-02-12 23:23 git Note Added: 0090497
2020-02-13 07:31 git Note Added: 0090507
2020-03-18 08:56 git Note Added: 0090997
2020-03-18 10:15 git Note Added: 0091006
2020-04-11 10:22 git Note Added: 0091508
2020-06-25 04:43 git Note Added: 0092707
2020-06-25 17:53 git Note Added: 0092719
2020-06-25 18:02 git Note Added: 0092720
2020-06-25 18:07 git Note Added: 0092721
2020-06-25 18:16 git Note Added: 0092722
2020-06-25 18:19 git Note Added: 0092723
2020-06-25 18:21 nds Note Added: 0092724
2020-06-25 18:21 nds Assigned To sshutina => kgv
2020-06-25 18:21 nds Status new => resolved
2020-06-25 19:22 kgv Note Added: 0092729
2020-06-25 19:22 kgv Assigned To kgv => nds
2020-06-25 19:22 kgv Status resolved => assigned
2020-06-25 19:50 nds Note Added: 0092732
2020-06-25 19:54 nds Note Added: 0092733
2020-06-26 06:35 git Note Added: 0092742
2020-06-26 06:57 git Note Added: 0092743
2020-06-26 07:29 nds File Added: inspector_V3d_Viewer.png
2020-06-26 09:05 nds Note Added: 0092747
2020-06-26 09:05 nds Assigned To nds => kgv
2020-06-26 09:05 nds Status assigned => resolved
2020-06-26 09:07 nds Note Edited: 0092747 View Revisions
2020-06-26 09:34 kgv Note Added: 0092748
2020-06-26 09:37 kgv Assigned To kgv => nds
2020-06-26 09:37 kgv Status resolved => assigned
2020-06-26 11:37 nds Note Added: 0092751
2020-06-26 11:50 kgv Note Added: 0092752
2020-06-26 11:51 kgv Note Edited: 0092752 View Revisions
2020-06-26 11:51 kgv Note Edited: 0092752 View Revisions
2020-06-26 11:54 nds Note Added: 0092753
2020-06-26 14:12 nds Note Added: 0092761
2020-06-26 14:18 kgv Note Added: 0092762
2020-06-26 14:42 nds Note Added: 0092763
2020-06-26 14:45 nds Note Deleted: 0092763
2020-06-26 14:53 git Note Added: 0092764
2020-06-26 14:55 git Note Added: 0092765
2020-06-26 14:56 nds Note Added: 0092766
2020-06-26 14:56 nds Assigned To nds => kgv
2020-06-26 14:56 nds Status assigned => resolved
2020-06-26 15:12 git Note Added: 0092767
2020-06-26 15:14 git Note Added: 0092768
2020-06-26 15:19 kgv Note Added: 0092769
2020-06-26 15:19 kgv Assigned To kgv => bugmaster
2020-06-26 15:19 kgv Status resolved => reviewed
2020-06-27 13:56 bugmaster Note Added: 0092783
2020-06-27 13:56 bugmaster Assigned To bugmaster => sshutina
2020-06-27 13:56 bugmaster Status reviewed => assigned
2020-06-28 10:09 nds Assigned To sshutina => nds
2020-07-06 19:28 git Note Added: 0093026
2020-07-06 19:54 git Note Added: 0093027


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker